Bug 987002 - mga driver for Matrox G550 adapter doesn't support resolutions higher than 800x600
mga driver for Matrox G550 adapter doesn't support resolutions higher than 80...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
19
ppc64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 10:58 EDT by Kleber Sacilotto de Souza
Modified: 2015-02-17 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:18:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kleber Sacilotto de Souza 2013-07-22 10:58:57 EDT
Description of problem:
When using a Matrox G550 adapter with the open-source mga X driver it reports that it supports up to 1024x768, however, with this resolution the vertical refresh rate sent to the cable is too low for most of the monitors, even if the configuration is setting the refresh rate to 60Hz, limiting the usable resolutions up to 800x600. When I create a custom xorg.conf forcing X to use the fbdev driver I can use this adapter with 1024x768 or even higher resolutions, all of them with the correct refresh rate.

I understand that there are several bugs that have been already opened against this issue and that these bugs on the mga open-source driver are unlikely to get fixed due to the lack of documentation of this hardware, but is there any way we can document this limitation on the open-source driver and indicate a workaround on the xorg.conf file using the fbdev driver?

Version-Release number of selected component (if applicable):
xorg-x11-drv-mga-1.6.2-7.fc19.ppc64

How reproducible:
Always

Steps to Reproduce:
1. When using a Matrix G550 adapter, start the X server with the default probed configuration, which will use the mga driver.

Actual results:
Monitor cannot display the image when using the highest resolution supported by the mga driver (1024x768).

Expected results:
Monitors able to display images at 1024x768 or even higher resolutions supported by the hardware.

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:02:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:18:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.